import { aws_ec2 as ec2, aws_route53 as r53 } from 'aws-cdk-lib';
import * as constructs from 'constructs';
import { CrowdStrikeCloud } from './crowdstrikeRegionInfo';
export interface CrowdStrikePrivateLinkEndpointProps {
    /**
     * The EC2 Instance that will be udpated.
     */
    readonly vpc: ec2.Vpc;
    readonly crowdStrikeCloud: CrowdStrikeCloud;
    readonly subnets: ec2.SubnetSelection;
    readonly peeredwithNLB?: boolean;
}
export declare class CrowdStrikePrivateLinkEndpoint extends constructs.Construct {
    downloadhostedZone: r53.PrivateHostedZone;
    proxyhostedZone: r53.PrivateHostedZone;
    proxy: ec2.InterfaceVpcEndpoint;
    download: ec2.InterfaceVpcEndpoint;
    constructor(scope: constructs.Construct, id: string, props: CrowdStrikePrivateLinkEndpointProps);
}
