import { aws_ec2 as ec2, aws_route53 as r53 } from 'aws-cdk-lib';
import * as constructs from 'constructs';
import { CrowdStrikeCloud } from './crowdstrikeRegionInfo';
export interface VpcRegionId {
    readonly peeringVpcId: string;
    readonly peerVpcRegion: string;
}
export interface CrowdStrikeExtendedEndpointProps {
    /**
     * The EC2 Instance that will be udpated.
     */
    readonly crowdstrikeCloud: CrowdStrikeCloud;
    readonly vpccidr?: string | undefined;
    readonly peeringVpc?: VpcRegionId;
    readonly useELBInPeeredVpc?: boolean;
}
/**
 * This will
 */
export declare class CrowdStrikeExtendedEndpoint extends constructs.Construct {
    readonly proxy: ec2.InterfaceVpcEndpoint;
    readonly download: ec2.InterfaceVpcEndpoint;
    readonly proxyZone: r53.PrivateHostedZone;
    readonly downloadZone: r53.PrivateHostedZone;
    constructor(scope: constructs.Construct, id: string, props: CrowdStrikeExtendedEndpointProps);
}
export interface CrowdStrikeNLBProps {
    readonly vpc: ec2.Vpc;
    readonly subnetGroupName: string;
    readonly proxy: ec2.InterfaceVpcEndpoint;
    readonly download: ec2.InterfaceVpcEndpoint;
    readonly proxyhostedZone: r53.PrivateHostedZone;
    readonly downloadhostedZone: r53.PrivateHostedZone;
}
export declare class CrowdStrikeNLB extends constructs.Construct {
    constructor(scope: constructs.Construct, id: string, props: CrowdStrikeNLBProps);
}
